NXTSensor subclass: #NXTGyroSensor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Enchanting-NXT Peripherals'!
!NXTGyroSensor commentStamp: '<historical>' prior: 0!
This allows you to work with the HiTechnic Gyro sensor on the NXT.
!


"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NXTGyroSensor class
	instanceVariableNames: ''!

!NXTGyroSensor class methodsFor: 'accessing' stamp: 'LGG 5/26/2011 12:34'!
baseName

	^ 'gyro sensor'! !

!NXTGyroSensor class methodsFor: 'accessing' stamp: 'LGG 5/26/2011 13:25'!
concreteTypes
"Returns a list of physical devices that implement the functions of this class."


	^ #(
		'Gyro Sensor'
	).! !


!NXTGyroSensor class methodsFor: 'block specs' stamp: 'LGG 5/26/2011 12:37'!
configBlockSpec

	^ 'Measures turning speed using a %p named %s.'.! !

!NXTGyroSensor class methodsFor: 'block specs' stamp: 'CWB 5/26/2011 10:42'!
providesBlocks
"Returns a list of block specifications to be used in the main user interface if there is any device configured that can use these blocks.  Note that the 'selectors' are all unique, start with the class name followed by a colon, but do not actually have functions that go with them."

	| blocks |
	
	blocks _ #(
		'sensing'
			('turning speed from %P in /s' 		r	NXTGyroSensor:turningSpeed:)
			('calibrate %P'						-	NXTGyroSensor:calibrate:)
		).

	^ blocks  ! !


!NXTGyroSensor class methodsFor: 'dropdown lists' stamp: 'LGG 5/26/2011 12:43'!
customListNumber: aNumber
"Peripherals can return custom lists (or nil)."

	^ nil.! !
